Hi,

I just bought your WP DrivingSchool theme but after activating it on a fresh new installation of WordPress (files and database), I get a white page on every frontend pages (posts or pages or anything else).

The backend works correctly.

- URL : - http://88.190.53.74/code-en-ligne/

- "defaultcontent-export.xml" file has been imported into WordPress.
- "defaultslider-export-slider.txt" has been imported into Revolution Slider and added to the "Homepage" page.
- "Home Page" and "Blog" have been defined in http://88.190.53.74/code-en-ligne/wp-admin/customize.php

Other informations :

- DrivingSchool version : 1.8
- WordPress version : 3.8.3 (latest version)
- PHP Version : 5.4.7
- GD enable : yes
- Tested browers : Chrome, Firefox and IE in their latest versions

I really appreciate any help you can provide,

Johnny.
April 16, 2014, 3:30pm
AIT Supportpeter
Hi, please post here your admin and ftp credentials so I can look at all your settings and files and search there for possible errors.
April 17, 2014, 4:43pm

Hi Peter,

Here are the requested informations :

Website connection :

- URL : http://88.190.53.74/code-en-ligne/
- Admin URL : http://88.190.53.74/code-en-ligne/wp-admin/
- ID : peter
- Password : ait-themes

= = = = = = = = = =

FTP credentials :

- Host : 88.190.53.74
- ID : peter
- Password : ait-themes
April 17, 2014, 5:28pm

Hi, Any news about my problem ? My website needs to be online as soon as possible. Thanks, Johnny.
April 18, 2014, 3:01pm

I think that the problem is due to the PHP version or something related to XAMPP, because I tried locally (on my own computer) with XAMPP 1.8.1 and the template works (on this version, PHP is in 5.5.11 version).

Question : is this possible to edit the template so it is compatible with my actual PHP version (5.4.7 on my server) ?

I don't have time to upgrade it and also simply doesn't know to do it with XAMPP.

Thanks,

Johnny.
April 22, 2014, 7:55pm

Hi,

I enabled the following settings in my PHP.ini file :

error_reporting = E_ALL
display_errors=On
log_errors=On

and now I have this message on my site : http://88.190.53.74/code-en-ligne/ ;:

"Fatal error: Uncaught exception 'NRegexpException' with message 'preg_replace_callback(): Compilation failed: internal error: previously-checked referenced subpattern not found at offset 28 in pattern: #%escape(\(([^()]*+|(?1))+\))#' in /opt/lampp/htdocs/code-en-ligne/wp-content/themes/drivingschool/AIT/Framework/Libs/Nette/nette.min.inc:22070 Stack trace: #0 /opt/lampp/htdocs/code-en-ligne/wp-content/themes/drivingschool/AIT/Framework/Libs/Nette/nette.min.inc(17871): NStrings::replace('if (%node.args)...', '#%escape(\(([^(...', Object(NCallback)) #1 /opt/lampp/htdocs/code-en-ligne/wp-content/themes/drivingschool/AIT/Framework/Libs/Nette/nette.min.inc(16552): NPhpWriter->write('if (%node.args)...') #2 [internal function]: NCoreMacros->macroIf(Object(NMacroNode), Object(NPhpWriter)) #3 /opt/lampp/htdocs/code-en-ligne/wp-content/themes/drivingschool/AIT/Framework/Libs/Nette/nette.min.inc(8875): call_user_func_array(Array, Array) #4 /opt/lampp/htdocs/code-en-ligne/wp-content/themes/drivingschool/AIT/Framework/Libs/Nette/nett in /opt/lampp/htdocs/code-en-ligne/wp-content/themes/drivingschool/AIT/Framework/Libs/Nette/nette.min.inc on line 22070"

Can you help me with this ?

Johnny.


April 23, 2014, 2:34am

I upgraded XAMPP in the latest version (1.8.3-4) with PHP 5.5.11.

I will update this thread if the template works.

Johnny.
April 23, 2014, 6:42pm

Template seems to work well :-)

So I think that it was a PHP version issue.

At the moment, my problem is solve.

Thanks for your help :-/ :-P

Johnny.
April 24, 2014, 4:57am

AIT Supportpeter
Hello, sorry for later response. I am really glad that everything works fine :)
In case of any other questions feel free to ask and we will do our best to help
April 24, 2014, 7:22pm